How to check an old project compatibility to PHP 7?

Hello!

How can I check easily an old app if it has compatibility to PHP 7?

My Phpstorm version is 2018.3

Thank you !

 

*EDIT: I already used  "Run Inspection By Name" / "Deprecated for PHP General"/ with the project setting PHP version 7.3. 

Phpstorm showed many deprecated things. The question is now: It is just a hint or do all these things have to be replaced through others or could they stay? Are they just deprecated and also can still be used in PHP 7.3?

1 comment

Apart from the Deprecated inspection, it makes sense to run an inspection called Language Level.

Are they just deprecated and also can still be used in PHP 7.3?

Deprecated features still can be used in 7.3, and gonna be removed in 8.0: https://wiki.php.net/rfc/deprecations_php_7_3

0

Please sign in to leave a comment.